Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class AjaxPartialResponseRendererImpl

    java.lang.Object
      org.apache.tapestry5.internal.services.AjaxPartialResponseRendererImpl

All Implemented Interfaces:
  AjaxPartialResponseRenderer

    public class AjaxPartialResponseRendererImpl

extends java.lang.Object
implements AjaxPartialResponseRenderer

Constructor Summary
`AjaxPartialResponseRendererImpl(MarkupWriterFactory factory, Request request, Response response, PartialMarkupRenderer partialMarkupRenderer, java.lang.String outputEncoding, boolean compactJSON, Environment environment)`

Method Summary
`void` | `renderPartialPageMarkup()` Used to render a partial response as part of an Ajax action request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AjaxPartialResponseRendererImpl

    public AjaxPartialResponseRendererImpl(MarkupWriterFactory factory,
                                           Request request,
                                           Response response,
                                           PartialMarkupRenderer partialMarkupRenderer,
                                           @Inject@Symbol(value="tapestry.charset")
                                           java.lang.String outputEncoding,
                                           @Symbol(value="tapestry.compact-json")
                                           boolean compactJSON,
                                           Environment environment)

Method Detail

### renderPartialPageMarkup

    public void renderPartialPageMarkup()
                                 throws java.io.IOException

  Description copied from interface: `AjaxPartialResponseRenderer`
  Used to render a partial response as part of an Ajax action request. A call to `PageRenderQueue.addPartialRenderer(org.apache.tapestry5.runtime.RenderCommand)` should precede this call.

  Specified by:
    `renderPartialPageMarkup` in interface `AjaxPartialResponseRenderer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.